import request from '/@/utils/request';

export function approveRuleApi() {
    return {
        // v1
        getApproveRuleList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/rule/listByPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        addApproveRule: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/rule/save`,
                method: 'post',
                data: data
            });
        },
        // v1
        modApproveRule: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/rule/update`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteApproveRule: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/ruleItemStand/delete`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllApproveRuleList: (data: {}) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/device/select/listDevices`,
                method: 'post',
                data
            });
        }
    };
}
